[erlang-bugs] Build failure with glibc 2.8 (incl. proposed patch)

Christian Faulhammer <>
Fri Jun 13 21:31:46 CEST 2008


Hi,

Mikael Pettersson <>:
> It's not a bug, it's a deliberate version check to prevent building
> against unverified glibc versions. In the past, running the wrong
> code on early glibc versions could result in obscure runtime failures.

 You should really think about a test suite for such runtime thingies.
 
> However, since glibc-2.3 there have been no relevant changes in
> this area, and now the version check while correct causes more
> problems than it solves. So I'll probably loosen the check to
> just be ">= 2.3".

 Thanks, the patch is used in Gentoo now, too.  Along with 12B-3.

V-Li

-- 
Christian Faulhammer, Gentoo Lisp project
<URL:http://www.gentoo.org/proj/en/lisp/>, #gentoo-lisp on FreeNode

<URL:http://www.faulhammer.org/>
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 197 bytes
Desc: not available
URL: <http://erlang.org/pipermail/erlang-bugs/attachments/20080613/2286cd9d/attachment.bin>


More information about the erlang-bugs mailing list